package modules.line;

import utils.*;
import simulator.*;
import java.util.*;

public interface LineAnchor {
  // called on a processor, returns true if it's a part of the anchor
  public boolean member(PortedProcessor pp);

  // required for comparisons in hashtable...
  public boolean equals(Object o);
  public int hashCode();
}
